Intermittent browser_privatebrowsing_placesTitleNoUpdate.js,browser_privatebrowsing_placestitle.js | Uncaught exception - at browser_privatebrowsing_placesTitleNoUpdate.js:24 - TypeError: null has no properties

RESOLVED FIXED in Firefox 57

Status

()

Firefox
Private Browsing
P1
normal
RESOLVED FIXED
2 months ago
2 months ago

People

(Reporter: aryx, Assigned: mak)

Tracking

({intermittent-failure})

unspecified
Firefox 57
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox57 fixed)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

+++ This bug was initially created as a clone of Bug #1383955 +++

https://treeherder.mozilla.org/logviewer.html#?job_id=129493124&repo=autoland

[task 2017-09-08T09:37:13.145171Z] 09:37:13     INFO - TEST-START | browser/components/privatebrowsing/test/browser/browser_privatebrowsing_placesTitleNoUpdate.js
[task 2017-09-08T09:37:15.496596Z] 09:37:15     INFO - TEST-INFO | started process screentopng
[task 2017-09-08T09:37:17.168926Z] 09:37:17     INFO - TEST-INFO | screentopng: exit 0
[task 2017-09-08T09:37:17.189481Z] 09:37:17     INFO - Buffered messages logged at 09:37:13
[task 2017-09-08T09:37:17.189930Z] 09:37:17     INFO - Entering test bound test
[task 2017-09-08T09:37:17.190196Z] 09:37:17     INFO - Buffered messages logged at 09:37:15
[task 2017-09-08T09:37:17.190452Z] 09:37:17     INFO - Wait for a title change notification.
[task 2017-09-08T09:37:17.193765Z] 09:37:17     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "http://mochi.test:8888/browser/browser/components/privatebrowsing/test/browser/browser_privatebrowsing_placesTitleNoUpdate.html" line: 0}]
[task 2017-09-08T09:37:17.195972Z] 09:37:17     INFO - Buffered messages finished
[task 2017-09-08T09:37:17.202865Z] 09:37:17     INFO - TEST-UNEXPECTED-FAIL | browser/components/privatebrowsing/test/browser/browser_privatebrowsing_placesTitleNoUpdate.js | Uncaught exception - The title matches the orignal title after first visit - threw exception: TypeError: null has no properties
[task 2017-09-08T09:37:17.205466Z] 09:37:17     INFO - Leaving test bound test
(Assignee)

Comment 1

2 months ago
Ah yeah, this makes sense, we should wait for (await PlacesUtils.history.fetch(TEST_URL)) and THEN check .title.
The same in browser_privatebrowsing_placestitle.js
(Assignee)

Updated

2 months ago
Assignee: nobody → mak77
Status: NEW → ASSIGNED
Priority: -- → P1
Comment hidden (mozreview-request)

Comment 3

2 months ago
7 failures in 924 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 4
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1398114&startday=2017-09-04&endday=2017-09-10&tree=all

Comment 4

2 months ago
mozreview-review
Comment on attachment 8905914 [details]
Bug 1398114 - Intermittent failure in browser_privatebrowsing_placesTitleNoUpdate.js.

https://reviewboard.mozilla.org/r/177710/#review183218

::: browser/components/privatebrowsing/test/browser/browser_privatebrowsing_placesTitleNoUpdate.js:28
(Diff revision 1)
>    info("Wait for a title change notification.");
>    await promiseTitleChanged;
>    await BrowserTestUtils.waitForCondition(async function() {
> -    return (await PlacesUtils.history.fetch(TEST_URL)).title == TITLE_1;
> +    let entry = await PlacesUtils.history.fetch(TEST_URL);
> +    return entry && entry.title == TITLE_1;
>    }, "The title matches the orignal title after first visit");

nit: Could you fix the spelling of `original` whilst you're here?

::: browser/components/privatebrowsing/test/browser/browser_privatebrowsing_placesTitleNoUpdate.js:38
(Diff revision 1)
>    info("Wait for a title change notification.");
>    await promiseTitleChanged;
>    await BrowserTestUtils.waitForCondition(async function() {
> -    return (await PlacesUtils.history.fetch(TEST_URL)).title == TITLE_2;
> +    let entry = await PlacesUtils.history.fetch(TEST_URL);
> +    return entry && entry.title == TITLE_2;
>    }, "The title matches the orignal title after updating visit");

nit: Could you fix the spelling of `original` whilst you're here?
Attachment #8905914 - Flags: review?(standard8) → review+
Comment hidden (mozreview-request)

Comment 6

2 months ago
Pushed by mak77@bonardo.net:
https://hg.mozilla.org/integration/autoland/rev/8b48ae67b5ce
Intermittent failure in browser_privatebrowsing_placesTitleNoUpdate.js. r=standard8

Comment 7

2 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/8b48ae67b5ce
Status: ASSIGNED → RESOLVED
Last Resolved: 2 months ago
status-firefox57: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 57
You need to log in before you can comment on or make changes to this bug.